Method: aliasNetworkEndpoints.get

API Version : 2026-10-01-preview

Returns the specified AliasNetworkEndpoint resource.

HTTP request


GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/aliasNetworkEndpoints/{aliasNetworkEndpoint}?$apiVersion=2026-10-01-preview

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Required. Project ID for this request.

zone

string

Required. Name of the zone scoping this request.

aliasNetworkEndpoint

string

Required. Name of the AliasNetworkEndpoint resource to return.

Request body

The request body must be empty.

Response body

Represents an Alias Network Endpoint resource. To be used for GKE pod-native endpoints in Andromeda.

If successful, the response body contains data with the following structure:

JSON representation
{
  "id": string,
  "name": string,
  "description": string,
  "aliases": {
    string: {
      "ipAddress": string,
      "ipVersion": enum,
      "subnetworkRangeNames": [
        string
      ],
      "effectiveIpAddress": string,
      "effectiveSubnetworkRangeName": string
    },
    ...
  },
  "host": {
    "instance": string
  },
  "subnetwork": string,
  "securityTagInheritance": enum,
  "labels": {
    string: string,
    ...
  },
  "annotations": {
    string: string,
    ...
  },
  "selfLink": string,
  "creationTimestamp": string,
  "updateTime": string,
  "status": {
    "state": enum,
    "network": string
  }
}
Fields
id

string (uint64 format)

Output only. The unique identifier for the resource. This identifier is defined by the server.

name

string

Identifier. Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035.

description

string

Optional. An optional description of this resource. Provide this field when you create the resource.

aliases[]

map (key: string, value: object)

Required. The map of network aliases allocated for the AliasNetworkEndpoint. This map is keyed with user-provided alias names.

aliases[].ipAddress

string

Input only. The IP address of the network endpoint. If specified, the server performs a validation check for uniqueness. If the field is omitted, the system automatically allocates an IP and populates the effectiveIpAddress field.

aliases[].ipVersion

enum

Required. The IP version of the IP. It is IPv4 or IPv6.

aliases[].subnetworkRangeNames[]

string

Input only. Defines candidate secondary ranges for allocating the alias IPs. If it is empty, the IP would be allocated from the primary range of the subnetwork. This field is INPUT_ONLY and used only during resource creation, hence a repeated field is acceptable as per AIP-2825. It is not mutable.

aliases[].effectiveIpAddress

string

Output only. The actual IP address allocated by the system.

aliases[].effectiveSubnetworkRangeName

string

Output only. The actual secondary range used for allocation.

host

object

Required. The host that the alias network endpoint is bound to.

host.instance

string

Required. The URL to the instance that this alias network endpoint is bound to.

subnetwork

string

Required. The URL of the subnetwork that this alias network endpoint belongs to.

securityTagInheritance

enum

Optional. The security tag inheritance setting for the AliasNetworkEndpoint.

labels

map (key: string, value: string)

Optional. The labels map for the AliasNetworkEndpoint.

annotations

map (key: string, value: string)

Optional. The annotations map for the AliasNetworkEndpoint. Keys and values must follow Kubernetes limits. Keys must be a maximum of 253 characters. Keys should be dot-namespaced, following the Kubernetes annotation key format: ([DNS subdomain]/)?[RFC 1123 name]. Values must be a maximum of 256 characters.

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

updateTime

string

Output only. Update timestamp in RFC3339 text format.

status

object

Output only. Current status of the alias network endpoint.

status.state

enum

Output only. The state of the alias network endpoint.

status.network

string

Output only. The URL of the network that this alias network endpoint belongs to.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.